From 6113d7d2f9f10a0a6c1ae02d53d2f8a54c17b173 Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Mon, 13 Feb 2012 15:11:56 -0600
Subject: [PATCH] Removed unused variables (part 1).

This patch brings down the warnings from 2917 to 2406.

Ticket #103
---
 pki/base/common/src/LogMessages.properties         |    2 +-
 .../common/src/com/netscape/certsrv/apps/CMS.java  |    4 +-
 .../com/netscape/certsrv/kra/ProofOfArchival.java  |   17 +--
 .../netscape/cms/authentication/PortalEnroll.java  |    2 +-
 .../com/netscape/cms/authorization/AAclAuthz.java  |   17 ---
 .../netscape/cms/authorization/BasicAclAuthz.java  |    3 -
 .../netscape/cms/authorization/DirAclAuthz.java    |    8 +-
 .../cms/crl/CMSAuthInfoAccessExtension.java        |    2 -
 .../cms/crl/CMSCertificateIssuerExtension.java     |    3 -
 .../netscape/cms/crl/CMSFreshestCRLExtension.java  |    2 -
 .../cms/crl/CMSHoldInstructionExtension.java       |    3 -
 .../cms/crl/CMSIssuerAlternativeNameExtension.java |    2 -
 .../crl/CMSIssuingDistributionPointExtension.java  |    2 -
 .../src/com/netscape/cms/jobs/PublishCertsJob.java |    1 -
 .../netscape/cms/jobs/RenewalNotificationJob.java  |    2 -
 .../com/netscape/cms/jobs/RequestInQueueJob.java   |    1 -
 .../com/netscape/cms/password/PasswordChecker.java |   12 --
 .../cms/policy/extensions/IssuerAltNameExt.java    |    4 +-
 .../cms/policy/extensions/NSCCommentExt.java       |    4 -
 .../cms/policy/extensions/NSCertTypeExt.java       |    4 +-
 .../extensions/PrivateKeyUsagePeriodExt.java       |    9 +-
 .../extensions/SubjectDirectoryAttributesExt.java  |    7 +-
 .../netscape/cms/profile/common/BasicProfile.java  |   48 ++++-----
 .../cms/profile/common/CACertCAEnrollProfile.java  |   26 +----
 .../profile/common/ServerCertCAEnrollProfile.java  |   27 +----
 .../profile/common/UserCertCAEnrollProfile.java    |   31 +----
 .../constraint/BasicConstraintsExtConstraint.java  |    2 -
 .../cms/profile/def/FreshestCRLExtDefault.java     |    2 -
 .../def/SubjectDirAttributesExtDefault.java        |    5 +-
 .../cms/publish/mappers/LdapCaSimpleMap.java       |    2 -
 .../cms/publish/mappers/LdapCertExactMap.java      |    2 -
 .../cms/publish/mappers/LdapCertSubjMap.java       |    4 -
 .../cms/publish/mappers/LdapEnhancedMap.java       |    2 -
 .../cms/publish/mappers/LdapSimpleMap.java         |    2 -
 .../cms/publish/publishers/OCSPPublisher.java      |    9 +-
 .../cms/selftests/tks/TKSKnownSessionKey.java      |    1 -
 .../netscape/cms/servlet/admin/AdminServlet.java   |    1 -
 .../cms/servlet/admin/AuthAdminServlet.java        |    4 +-
 .../netscape/cms/servlet/admin/CAAdminServlet.java |   13 +--
 .../cms/servlet/admin/CMSAdminServlet.java         |   92 +--------------
 .../cms/servlet/admin/JobsAdminServlet.java        |    4 +-
 .../cms/servlet/admin/LogAdminServlet.java         |    2 +-
 .../cms/servlet/admin/ProfileAdminServlet.java     |   26 +----
 .../com/netscape/cms/servlet/base/CMSServlet.java  |   12 +-
 .../cms/servlet/base/SystemInfoServlet.java        |    1 -
 .../cms/servlet/cert/CMCRevReqServlet.java         |    1 -
 .../servlet/cert/ChallengeRevocationServlet1.java  |    3 -
 .../netscape/cms/servlet/cert/CloneRedirect.java   |    2 -
 .../netscape/cms/servlet/cert/DirAuthServlet.java  |    1 -
 .../com/netscape/cms/servlet/cert/DisplayCRL.java  |    3 -
 .../cms/servlet/cert/DisplayHashUserEnroll.java    |    1 -
 .../com/netscape/cms/servlet/cert/DoRevokeTPS.java |    4 +-
 .../netscape/cms/servlet/cert/EnrollServlet.java   |    1 -
 .../com/netscape/cms/servlet/cert/GetBySerial.java |    1 -
 .../cms/servlet/cert/HashEnrollServlet.java        |    4 -
 .../netscape/cms/servlet/cert/RenewalServlet.java  |    3 -
 .../com/netscape/cms/servlet/cert/UpdateDir.java   |    1 -
 .../cms/servlet/cert/scep/CRSEnrollment.java       |   21 +---
 .../cms/servlet/cert/scep/ExtensionsRequested.java |    7 +-
 .../cms/servlet/common/CMCOutputTemplate.java      |    2 -
 .../servlet/connector/GenerateKeyPairServlet.java  |    4 -
 .../servlet/csadmin/AdminAuthenticatePanel.java    |    3 +-
 .../netscape/cms/servlet/csadmin/AdminPanel.java   |    3 -
 .../servlet/csadmin/AgentAuthenticatePanel.java    |    4 +-
 .../cms/servlet/csadmin/BackupKeyCertPanel.java    |    5 +-
 .../netscape/cms/servlet/csadmin/CAInfoPanel.java  |    1 -
 .../cms/servlet/csadmin/CertRequestPanel.java      |   12 +--
 .../com/netscape/cms/servlet/csadmin/CertUtil.java |    5 +-
 .../cms/servlet/csadmin/DatabasePanel.java         |   19 +--
 .../netscape/cms/servlet/csadmin/DonePanel.java    |    6 +-
 .../netscape/cms/servlet/csadmin/GetCertChain.java |    3 -
 .../cms/servlet/csadmin/GetConfigEntries.java      |    1 -
 .../netscape/cms/servlet/csadmin/GetCookie.java    |    3 -
 .../netscape/cms/servlet/csadmin/GetDomainXML.java |    4 -
 .../netscape/cms/servlet/csadmin/GetStatus.java    |    3 -
 .../cms/servlet/csadmin/GetSubsystemCert.java      |    3 -
 .../cms/servlet/csadmin/GetTransportCert.java      |    4 -
 .../cms/servlet/csadmin/ImportCAChainPanel.java    |    1 -
 .../cms/servlet/csadmin/MainPageServlet.java       |    1 -
 .../netscape/cms/servlet/csadmin/NamePanel.java    |   12 +-
 .../netscape/cms/servlet/csadmin/RegisterUser.java |    3 -
 .../cms/servlet/csadmin/RestoreKeyCertPanel.java   |    3 +-
 .../cms/servlet/csadmin/SecurityDomainPanel.java   |    8 --
 .../netscape/cms/servlet/csadmin/SizePanel.java    |   11 +-
 .../cms/servlet/csadmin/UpdateDomainXML.java       |   12 +-
 .../cms/servlet/csadmin/WizardPanelBase.java       |   12 --
 .../netscape/cms/servlet/ocsp/AddCAServlet.java    |    1 -
 .../cms/servlet/ocsp/CheckCertServlet.java         |    1 -
 .../netscape/cms/servlet/ocsp/ListCAServlet.java   |    1 -
 .../netscape/cms/servlet/ocsp/RemoveCAServlet.java |    3 -
 .../cms/servlet/processors/PKIProcessor.java       |    2 -
 .../cms/servlet/profile/ProfileReviewServlet.java  |    2 -
 .../cms/servlet/request/model/KeyRequestDAO.java   |    2 -
 .../com/netscape/cms/servlet/tks/TokenServlet.java |   12 +--
 .../src/com/netscape/cmscore/apps/CMSEngine.java   |    3 -
 .../src/com/netscape/cmscore/apps/Upgrade.java     |    5 -
 .../SSLClientCertAuthentication.java               |    1 -
 .../com/netscape/cmscore/base/PropConfigStore.java |    4 +-
 .../cmscore/dbs/CertificateRepository.java         |    8 --
 .../com/netscape/cmscore/dbs/DBVirtualList.java    |    2 -
 .../com/netscape/cmscore/extensions/KeyUsage.java  |    2 -
 .../com/netscape/cmscore/jobs/JobsScheduler.java   |   18 ++--
 .../netscape/cmscore/ldap/PublisherProcessor.java  |   52 +++-----
 .../cmscore/ldapconn/LdapAnonConnFactory.java      |    6 -
 .../cmscore/ldapconn/LdapBoundConnFactory.java     |    8 --
 .../com/netscape/cmscore/logging/LogSubsystem.java |    9 +-
 .../cmscore/notification/EmailTemplate.java        |   12 +--
 .../src/com/netscape/cmscore/policy/PolicySet.java |    3 +-
 .../netscape/cmscore/profile/ProfileSubsystem.java |    6 +-
 .../netscape/cmscore/security/CertificateInfo.java |    1 -
 .../netscape/cmscore/security/JssSubsystem.java    |   16 +--
 .../com/netscape/cmscore/security/KeyCertUtil.java |    4 +-
 .../src/com/netscape/cmscore/security/PWUtil.java  |    6 -
 .../com/netscape/cmscore/usrgrp/UGSubsystem.java   |  124 +-------------------
 .../src/com/netscape/cmstools/AuditVerify.java     |    4 +-
 .../src/com/netscape/cmstools/CMCEnroll.java       |   10 +-
 .../src/com/netscape/cmstools/CMCRequest.java      |    5 -
 .../src/com/netscape/cmstools/CMCRevoke.java       |    7 -
 .../src/com/netscape/cmstools/CRMFPopClient.java   |    4 -
 .../src/com/netscape/cmstools/DRMTool.java         |    4 -
 .../src/com/netscape/cmstools/PKCS12Export.java    |    2 +-
 .../src/com/netscape/cmstools/PasswordCache.java   |    5 -
 .../src/com/netscape/cmstools/PrettyPrintCert.java |    3 -
 .../src/com/netscape/kra/KeyRecoveryAuthority.java |    2 -
 .../src/com/netscape/kra/NetkeyKeygenService.java  |    2 -
 .../com/netscape/kra/TokenKeyRecoveryService.java  |    6 +-
 .../src/com/netscape/pkisilent/ConfigureCA.java    |   18 +---
 .../src/com/netscape/pkisilent/ConfigureOCSP.java  |    2 -
 .../src/com/netscape/pkisilent/ConfigureRA.java    |    3 -
 .../src/com/netscape/pkisilent/ConfigureSubCA.java |   32 +-----
 .../src/com/netscape/pkisilent/ConfigureTKS.java   |   37 +-----
 .../src/com/netscape/pkisilent/ConfigureTPS.java   |   36 +-----
 .../netscape/pkisilent/argparser/ArgParser.java    |    2 -
 .../src/com/netscape/pkisilent/common/CMSLDAP.java |    7 +-
 .../com/netscape/pkisilent/common/ComCrypto.java   |   14 ---
 .../src/com/netscape/pkisilent/common/Request.java |    3 -
 .../netscape/pkisilent/common/checkRequest.java    |    1 -
 .../com/netscape/cmsutil/crypto/CryptoUtil.java    |   12 +--
 .../src/com/netscape/cmsutil/http/HttpClient.java  |    3 -
 .../netscape/cmsutil/http/JssSSLSocketFactory.java |    1 -
 .../com/netscape/cmsutil/scep/CRSPKIMessage.java   |    1 -
 .../util/src/com/netscape/cmsutil/util/Utils.java  |    2 -
 .../util/src/netscape/security/acl/OwnerImpl.java  |    2 +-
 .../util/src/netscape/security/pkcs/PKCS10.java    |    7 +-
 .../util/src/netscape/security/pkcs/PKCS8Key.java  |    3 -
 .../util/src/netscape/security/provider/SHA.java   |    3 +-
 .../x509/IssuingDistributionPointExtension.java    |    4 +-
 .../security/x509/LdapV3DNStrConverter.java        |    2 -
 .../src/netscape/security/x509/X509CertImpl.java   |    3 +-
 .../util/src/netscape/security/x509/X509Key.java   |    3 -
 150 files changed, 217 insertions(+), 982 deletions(-)

diff --git a/pki/base/common/src/com/netscape/certsrv/apps/CMS.java b/pki/base/common/src/com/netscape/certsrv/apps/CMS.java
index 75a7e205946270419e746554e4da1a68624f3ab4..5b8aa2c78b6d4a56c94b31859d8ff5241219a994 100644
--- a/pki/base/common/src/com/netscape/certsrv/apps/CMS.java
+++ b/pki/base/common/src/com/netscape/certsrv/apps/CMS.java
@@ -1564,13 +1564,11 @@ public final class CMS {
 
         String classname = "com.netscape.cmscore.apps.CMSEngine";
 
-        CMS cms = null;
-
         try {
             ICMSEngine engine = (ICMSEngine)
                     Class.forName(classname).newInstance();
 
-            cms = new CMS(engine);
+            CMS.setCMSEngine(engine);
             IConfigStore mainConfig = createFileConfigStore(path);
             CMS.init(null, mainConfig);
             CMS.startup();
diff --git a/pki/base/common/src/com/netscape/certsrv/kra/ProofOfArchival.java b/pki/base/common/src/com/netscape/certsrv/kra/ProofOfArchival.java
index 9d17cbbb2fcda9d53134e010cf5d6c477d5ac41e..df05c882f23ff3ebbae48f25551fd666352c29c6 100644
--- a/pki/base/common/src/com/netscape/certsrv/kra/ProofOfArchival.java
+++ b/pki/base/common/src/com/netscape/certsrv/kra/ProofOfArchival.java
@@ -282,19 +282,13 @@ public class ProofOfArchival implements IDBObj, IProofOfArchival, Serializable {
             }
 
             // serial number
-            DerOutputStream serialno = new DerOutputStream();
-
             seq.putInteger(new BigInt(mSerialNo));
 
             // subject name
-            DerOutputStream subject = new DerOutputStream();
-
-            (new X500Name(mSubject)).encode(seq);
+            new X500Name(mSubject).encode(seq);
 
             // issuer name
-            DerOutputStream issuer = new DerOutputStream();
-
-            (new X500Name(mIssuer)).encode(seq);
+            new X500Name(mIssuer).encode(seq);
 
             // issue date
             seq.putUTCTime(mDateOfArchival);
@@ -383,8 +377,11 @@ public class ProofOfArchival implements IDBObj, IProofOfArchival, Serializable {
                                 "no signature found"));
                 }
 
-                AlgorithmId algid = AlgorithmId.parse(seq[1]);
-                byte signature[] = seq[2].getBitString();
+                @SuppressWarnings("unused")
+                AlgorithmId algid = AlgorithmId.parse(seq[1]); // consume algid
+
+                @SuppressWarnings("unused")
+                byte signature[] = seq[2].getBitString(); // consume signature
 
                 decodePOA(val, null);
             } else {
diff --git a/pki/base/common/src/com/netscape/cms/authentication/PortalEnroll.java b/pki/base/common/src/com/netscape/cms/authentication/PortalEnroll.java
index 8049ffb11891c7103deef11edfeca46f81e44cd1..fe2c352ec26c077b45ba7dfbe4f9009e9179ffec 100644
--- a/pki/base/common/src/com/netscape/cms/authentication/PortalEnroll.java
+++ b/pki/base/common/src/com/netscape/cms/authentication/PortalEnroll.java
@@ -200,7 +200,7 @@ public class PortalEnroll extends DirBasedAuthentication {
                     LDAPv2.SCOPE_SUB, "(uid=" + uid + ")", null, false);
 
             if (res.hasMoreElements()) {
-                LDAPEntry entry = (LDAPEntry) res.nextElement();
+                res.nextElement(); // consume the entry
 
                 throw new EAuthUserError(CMS.getUserMessage("CMS_AUTHENTICATION_INVALID_ATTRIBUTE_VALUE",
                         "UID already exists."));
diff --git a/pki/base/common/src/com/netscape/cms/authorization/AAclAuthz.java b/pki/base/common/src/com/netscape/cms/authorization/AAclAuthz.java
index dcce8277e125e1701ce85865bbe3dd8254f048c3..73995e6cd46eb74e75e41ddcc0c8d31c589d43fb 100644
--- a/pki/base/common/src/com/netscape/cms/authorization/AAclAuthz.java
+++ b/pki/base/common/src/com/netscape/cms/authorization/AAclAuthz.java
@@ -127,9 +127,6 @@ public abstract class AAclAuthz {
                 evaluator =
                         (IAccessEvaluator) Class.forName(evalClassPath).newInstance();
             } catch (Exception e) {
-                String errMsg = "init(): failed to load class: " +
-                        evalClassPath + ":" + e.toString();
-
                 throw new EACLsException(CMS.getUserMessage("CMS_ACL_CLASS_LOAD_FAIL",
                             evalClassPath));
             }
@@ -139,8 +136,6 @@ public abstract class AAclAuthz {
                 // store evaluator
                 registerEvaluator(type, evaluator);
             } else {
-                String errMsg = "access evaluator " + type + " is null";
-
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("AUTHZ_EVALUATOR_NULL", type));
             }
         }
@@ -278,9 +273,6 @@ public abstract class AAclAuthz {
                 params[0] = name;
                 params[1] = perm;
 
-                String errMsg = "checkPermission(): permission denied for the resource " +
-                        name + " on operation " + perm;
-
                 log(ILogger.LL_SECURITY, CMS.getLogMessage("AUTHZ_EVALUATOR_ACCESS_DENIED", name, perm));
 
                 throw new EACLsException(CMS.getUserMessage("CMS_ACL_NO_PERMISSION",
@@ -441,8 +433,6 @@ public abstract class AAclAuthz {
         IAccessEvaluator evaluator = (IAccessEvaluator) mEvaluators.get(type);
 
         if (evaluator == null) {
-            String errMsg = "evaluator for type " + type + "not found";
-
             log(ILogger.LL_FAILURE, CMS.getLogMessage("AUTHZ_EVALUATOR_NOT_FOUND", type));
             return false;
         }
@@ -536,9 +526,6 @@ public abstract class AAclAuthz {
             params[0] = name;
             params[1] = perm;
 
-            String errMsg = "checkPermission(): permission denied for the resource " +
-                    name + " on operation " + perm;
-
             log(ILogger.LL_SECURITY,
                     CMS.getLogMessage("AUTHZ_EVALUATOR_ACCESS_DENIED", name, perm));
 
@@ -707,8 +694,6 @@ public abstract class AAclAuthz {
         IAccessEvaluator evaluator = (IAccessEvaluator) mEvaluators.get(type);
 
         if (evaluator == null) {
-            String errMsg = "evaluator for type " + type + "not found";
-
             log(ILogger.LL_FAILURE, CMS.getLogMessage("AUTHZ_EVALUATOR_NOT_FOUND", type));
             return false;
         }
@@ -765,8 +750,6 @@ public abstract class AAclAuthz {
      */
     public void updateACLs(String id, String rights, String strACLs,
             String desc) throws EACLsException {
-        ACL acl = (ACL) getACL(id);
-
         String resourceACLs = id;
 
         if (rights != null)
diff --git a/pki/base/common/src/com/netscape/cms/authorization/BasicAclAuthz.java b/pki/base/common/src/com/netscape/cms/authorization/BasicAclAuthz.java
index c3e65ca82d1ad50e7500b1dd5a2f82d91a6e026f..f6b1b6713df019b4ed1b5b02c2c908a07d94669e 100644
--- a/pki/base/common/src/com/netscape/cms/authorization/BasicAclAuthz.java
+++ b/pki/base/common/src/com/netscape/cms/authorization/BasicAclAuthz.java
@@ -179,9 +179,6 @@ public class BasicAclAuthz extends AAclAuthz
             // flushing failed, set flag
             needsFlush = true;
 
-            String errMsg = "updateACLs: failed to flushResourceACLs(): "
-                    + ex.toString();
-
             log(ILogger.LL_FAILURE, CMS.getLogMessage("AUTHZ_EVALUATOR_FLUSH_RESOURCES", ex.toString()));
 
             throw new EACLsException(CMS.getUserMessage("CMS_ACL_UPDATE_FAIL"));
diff --git a/pki/base/common/src/com/netscape/cms/authorization/DirAclAuthz.java b/pki/base/common/src/com/netscape/cms/authorization/DirAclAuthz.java
index df24f275eb1236f7da29806e81318cb41935ef26..acc3ffbb79c681118c48799eb1bf107095f8df55 100644
--- a/pki/base/common/src/com/netscape/cms/authorization/DirAclAuthz.java
+++ b/pki/base/common/src/com/netscape/cms/authorization/DirAclAuthz.java
@@ -136,7 +136,8 @@ public class DirAclAuthz extends AAclAuthz
         mBaseDN = ldapConfig.getString(PROP_BASEDN, null);
 
         try {
-            String name1 = ldapConfig.getString("ldapconn.host");
+            @SuppressWarnings("unused")
+            String hostname = ldapConfig.getString("ldapconn.host"); // check for errors
         } catch (EBaseException e) {
             if (CMS.isPreOpMode())
                 return;
@@ -172,8 +173,6 @@ public class DirAclAuthz extends AAclAuthz
                 log(ILogger.LL_INFO, "ldap search found no cn=aclResources");
             }
         } catch (LDAPException e) {
-            String errMsg = "init() -" + e.toString();
-
             log(ILogger.LL_FAILURE, CMS.getLogMessage("AUTHZ_EVALUATOR_INIT_ERROR", e.toString()));
             throw new EACLsException(CMS.getUserMessage("CMS_ACL_CONNECT_LDAP_FAIL", mBaseDN));
         } catch (EBaseException e) {
@@ -274,9 +273,6 @@ public class DirAclAuthz extends AAclAuthz
             // flushing failed, set flag
             needsFlush = true;
 
-            String errMsg = "updateACLs: failed to flushResourceACLs(): "
-                    + ex.toString();
-
             log(ILogger.LL_FAILURE, CMS.getLogMessage("AUTHZ_EVALUATOR_FLUSH_RESOURCES", ex.toString()));
 
             throw new EACLsException(CMS.getUserMessage("CMS_ACL_UPDATE_FAIL"));
diff --git a/pki/base/common/src/com/netscape/cms/crl/CMSAuthInfoAccessExtension.java b/pki/base/common/src/com/netscape/cms/crl/CMSAuthInfoAccessExtension.java
index f3aa5180bd8d0e6e9f40c6040f1dc6ba40a75c92..d070cc6fd513b1ab0da31ab71c2633fd93a48a0a 100644
--- a/pki/base/common/src/com/netscape/cms/crl/CMSAuthInfoAccessExtension.java
+++ b/pki/base/common/src/com/netscape/cms/crl/CMSAuthInfoAccessExtension.java
@@ -33,7 +33,6 @@ import com.netscape.certsrv.base.EPropertyNotFound;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.ca.ICMSCRLExtension;
-import com.netscape.certsrv.ca.ICRLIssuingPoint;
 import com.netscape.certsrv.common.NameValuePairs;
 import com.netscape.certsrv.logging.ILogger;
 
@@ -70,7 +69,6 @@ public class CMSAuthInfoAccessExtension
 
     public Extension getCRLExtension(IConfigStore config, Object ip,
             boolean critical) {
-        ICRLIssuingPoint crlIssuingPoint = (ICRLIssuingPoint) ip;
         AuthInfoAccessExtension authInfoAccessExt = new AuthInfoAccessExtension(critical);
 
         int numberOfAccessDescriptions = 0;
diff --git a/pki/base/common/src/com/netscape/cms/crl/CMSCertificateIssuerExtension.java b/pki/base/common/src/com/netscape/cms/crl/CMSCertificateIssuerExtension.java
index 02556d4956b0d1f704f5bc7dfc3e5d632910341c..67f4736c7a35305f45fb9b7427d30d3c86b18912 100644
--- a/pki/base/common/src/com/netscape/cms/crl/CMSCertificateIssuerExtension.java
+++ b/pki/base/common/src/com/netscape/cms/crl/CMSCertificateIssuerExtension.java
@@ -33,7 +33,6 @@ import com.netscape.certsrv.base.EPropertyNotFound;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.ca.ICMSCRLExtension;
-import com.netscape.certsrv.ca.ICRLIssuingPoint;
 import com.netscape.certsrv.common.NameValuePairs;
 import com.netscape.certsrv.logging.ILogger;
 
@@ -71,8 +70,6 @@ public class CMSCertificateIssuerExtension
         CertificateIssuerExtension certIssuerExt = null;
         int numNames = 0;
 
-        ICRLIssuingPoint crlIssuingPoint = (ICRLIssuingPoint) ip;
-
         try {
             numNames = config.getInteger("numNames", 0);
         } catch (EBaseException e) {
diff --git a/pki/base/common/src/com/netscape/cms/crl/CMSFreshestCRLExtension.java b/pki/base/common/src/com/netscape/cms/crl/CMSFreshestCRLExtension.java
index 38eb7a1c6e79b0a090d895cdae0c17029651452d..edb6494aff9ac78911dd8ba81e73fa3404e31b9f 100644
--- a/pki/base/common/src/com/netscape/cms/crl/CMSFreshestCRLExtension.java
+++ b/pki/base/common/src/com/netscape/cms/crl/CMSFreshestCRLExtension.java
@@ -35,7 +35,6 @@ import com.netscape.certsrv.base.EPropertyNotFound;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.ca.ICMSCRLExtension;
-import com.netscape.certsrv.ca.ICRLIssuingPoint;
 import com.netscape.certsrv.common.NameValuePairs;
 import com.netscape.certsrv.logging.ILogger;
 
@@ -68,7 +67,6 @@ public class CMSFreshestCRLExtension
 
     public Extension getCRLExtension(IConfigStore config, Object ip,
             boolean critical) {
-        ICRLIssuingPoint crlIssuingPoint = (ICRLIssuingPoint) ip;
         FreshestCRLExtension freshestCRLExt = null;
 
         int numPoints = 0;
diff --git a/pki/base/common/src/com/netscape/cms/crl/CMSHoldInstructionExtension.java b/pki/base/common/src/com/netscape/cms/crl/CMSHoldInstructionExtension.java
index ca76428659e15e0f906565f7ff4c31d1222e31e1..df8d058ce587fed0ab5b943620d0c117a3b2be46 100644
--- a/pki/base/common/src/com/netscape/cms/crl/CMSHoldInstructionExtension.java
+++ b/pki/base/common/src/com/netscape/cms/crl/CMSHoldInstructionExtension.java
@@ -31,7 +31,6 @@ import com.netscape.certsrv.base.EPropertyNotFound;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.ca.ICMSCRLExtension;
-import com.netscape.certsrv.ca.ICRLIssuingPoint;
 import com.netscape.certsrv.common.NameValuePairs;
 import com.netscape.certsrv.logging.ILogger;
 
@@ -74,8 +73,6 @@ public class CMSHoldInstructionExtension
         HoldInstructionExtension holdInstrExt = null;
         String instruction = null;
 
-        ICRLIssuingPoint crlIssuingPoint = (ICRLIssuingPoint) ip;
-
         try {
             instruction = config.getString(PROP_INSTR);
         } catch (EPropertyNotFound e) {
diff --git a/pki/base/common/src/com/netscape/cms/crl/CMSIssuerAlternativeNameExtension.java b/pki/base/common/src/com/netscape/cms/crl/CMSIssuerAlternativeNameExtension.java
index 183de1b43dc824a838d925b83d25f1d7c5645f80..88e8597985bc1fcaa6fa767a9a51b951552f8bd6 100644
--- a/pki/base/common/src/com/netscape/cms/crl/CMSIssuerAlternativeNameExtension.java
+++ b/pki/base/common/src/com/netscape/cms/crl/CMSIssuerAlternativeNameExtension.java
@@ -42,7 +42,6 @@ import com.netscape.certsrv.base.EPropertyNotFound;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.ca.ICMSCRLExtension;
-import com.netscape.certsrv.ca.ICRLIssuingPoint;
 import com.netscape.certsrv.common.NameValuePairs;
 import com.netscape.certsrv.logging.ILogger;
 
@@ -85,7 +84,6 @@ public class CMSIssuerAlternativeNameExtension
     public Extension getCRLExtension(IConfigStore config,
             Object ip,
             boolean critical) {
-        ICRLIssuingPoint crlIssuingPoint = (ICRLIssuingPoint) ip;
         IssuerAlternativeNameExtension issuerAltNameExt = null;
         int numNames = 0;
 
diff --git a/pki/base/common/src/com/netscape/cms/crl/CMSIssuingDistributionPointExtension.java b/pki/base/common/src/com/netscape/cms/crl/CMSIssuingDistributionPointExtension.java
index 3df2433052848dcc6ed7fdf24462a06f796729a0..21bd86b0acffa1c804668af34dd0cf6d75d26df1 100644
--- a/pki/base/common/src/com/netscape/cms/crl/CMSIssuingDistributionPointExtension.java
+++ b/pki/base/common/src/com/netscape/cms/crl/CMSIssuingDistributionPointExtension.java
@@ -38,7 +38,6 @@ import com.netscape.certsrv.base.EPropertyNotFound;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.ca.ICMSCRLExtension;
-import com.netscape.certsrv.ca.ICRLIssuingPoint;
 import com.netscape.certsrv.common.NameValuePairs;
 import com.netscape.certsrv.logging.ILogger;
 
@@ -88,7 +87,6 @@ public class CMSIssuingDistributionPointExtension
             boolean critical) {
 
         CMS.debug("in CMSIssuingDistributionPointExtension::getCRLExtension.");
-        ICRLIssuingPoint crlIssuingPoint = (ICRLIssuingPoint) ip;
         IssuingDistributionPointExtension issuingDPointExt = null;
         IssuingDistributionPoint issuingDPoint = new IssuingDistributionPoint();
 
diff --git a/pki/base/common/src/com/netscape/cms/jobs/PublishCertsJob.java b/pki/base/common/src/com/netscape/cms/jobs/PublishCertsJob.java
index efca7416847617b56f3a0727e39f7c1b9d608c6b..903f83691e54a41ae8fb814ac935112a06646754 100644
--- a/pki/base/common/src/com/netscape/cms/jobs/PublishCertsJob.java
+++ b/pki/base/common/src/com/netscape/cms/jobs/PublishCertsJob.java
@@ -176,7 +176,6 @@ public class PublishCertsJob extends AJobBase
                        getId() + " : run()");
         // get time now..."now" is before the loop
         Date date = CMS.getCurrentDate();
-        long now = date.getTime();
         DateFormat dateFormat = DateFormat.getDateTimeInstance();
         String nowString = dateFormat.format(date);
 
diff --git a/pki/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java b/pki/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java
index 8abe027c4e924a34ae10f88f72be2d8ee6f1d181..621d987febb8020d11acb9d68513a7628cb5a6fe 100644
--- a/pki/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java
+++ b/pki/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java
@@ -584,8 +584,6 @@ public class RenewalNotificationJob
         if (mHTML == true)
             mn.setContentType("text/html");
 
-        String failedString = null;
-
         mn.setContent(msg);
 
         mn.sendNotification();
diff --git a/pki/base/common/src/com/netscape/cms/jobs/RequestInQueueJob.java b/pki/base/common/src/com/netscape/cms/jobs/RequestInQueueJob.java
index 0a3bf0e133a8d724a047572bcfebfcbcd9b74314..adddc9755bc9f2a2cc499305fe525f8779a822d2 100644
--- a/pki/base/common/src/com/netscape/cms/jobs/RequestInQueueJob.java
+++ b/pki/base/common/src/com/netscape/cms/jobs/RequestInQueueJob.java
@@ -163,7 +163,6 @@ public class RequestInQueueJob extends AJobBase
             return;
 
         Date date = CMS.getCurrentDate();
-        long now = date.getTime();
         DateFormat dateFormat = DateFormat.getDateTimeInstance();
         String nowString = dateFormat.format(date);
 
diff --git a/pki/base/common/src/com/netscape/cms/password/PasswordChecker.java b/pki/base/common/src/com/netscape/cms/password/PasswordChecker.java
index d0b596c5f452f8de22caf415fbb563151ec4d825..847f3a2c1b500ede5de492ee1f316cd57f27cb24 100644
--- a/pki/base/common/src/com/netscape/cms/password/PasswordChecker.java
+++ b/pki/base/common/src/com/netscape/cms/password/PasswordChecker.java
@@ -42,14 +42,8 @@ public class PasswordChecker implements IPasswordCheck, IConfigPasswordCheck {
 
     public boolean isGoodConfigPassword(String mPassword) {
         if (mPassword == null || mPassword.length() == 0) {
-            EPasswordCheckException e = new EPasswordCheckException(
-                    "Empty Password");
-
             return false;
         } else if (mPassword.length() < MIN_LEN) {
-            EPasswordCheckException e = new EPasswordCheckException(
-                    "Minimium Length is " + MIN_LEN);
-
             return false;
         }
         return true;
@@ -80,14 +74,8 @@ public class PasswordChecker implements IPasswordCheck, IConfigPasswordCheck {
      */
     public boolean isGoodPassword(String mPassword) {
         if (mPassword == null || mPassword.length() == 0) {
-            EPasswordCheckException e = new EPasswordCheckException(
-                    CMS.getUserMessage("CMS_PASSWORD_EMPTY_PASSWORD"));
-
             return false;
         } else if (mPassword.length() < MIN_LEN) {
-            EPasswordCheckException e = new EPasswordCheckException(
-                    CMS.getUserMessage("CMS_PASSWORD_INVALID_LEN", "" + MIN_LEN));
-
             return false;
         }
         return true;
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/IssuerAltNameExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/IssuerAltNameExt.java
index 21afaa18858138478a473abcae071166c7ee41e1..bb9abd9cfe9d6f4dfb7f507760a7a1f843caab8f 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/IssuerAltNameExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/IssuerAltNameExt.java
@@ -153,9 +153,7 @@ public class IssuerAltNameExt extends APolicyRule
         X509CertInfo[] ci =
                 req.getExtDataInCertInfoArray(IRequest.CERT_INFO);
 
-        X509CertInfo certInfo = null;
-
-        if (ci == null || (certInfo = ci[0]) == null) {
+        if (ci == null || ci[0] == null) {
             setError(req, CMS.getUserMessage("CMS_POLICY_NO_CERT_INFO"), NAME);
             return PolicyResult.REJECTED; // unrecoverable error.
         }
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/NSCCommentExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/NSCCommentExt.java
index f3ae4efa4d5472c3559f0045ec00a2284b7652b6..ecc084d2982ecd80371643839db0a8727f91e9cb 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/NSCCommentExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/NSCCommentExt.java
@@ -28,7 +28,6 @@ import java.util.Vector;
 
 import netscape.security.x509.CertificateExtensions;
 import netscape.security.x509.CertificateVersion;
-import netscape.security.x509.DisplayText;
 import netscape.security.x509.NSCCommentExtension;
 import netscape.security.x509.X509CertInfo;
 
@@ -233,9 +232,6 @@ public class NSCCommentExt extends APolicyRule
 
         certApplied = true;
 
-        DisplayText displayText =
-                new DisplayText(DisplayText.tag_IA5String, mUserNoticeDisplayText);
-
         try {
             NSCCommentExtension cpExt =
                     new NSCCommentExtension(mCritical, mUserNoticeDisplayText);
